<?php
/**
 * DPD France v5.1.1 shipping module for OsCommerce 2.3
 *
 * @category   DPDFrance
 * @package    DPDFrance_Shipping
 * @author     DPD France S.A.S. <ensavoirplus.ecommerce@dpd.fr>
 * @copyright  2015 DPD France S.A.S., société par actions simplifiée, au capital de 18.500.000 euros, dont le siège social est situé 27 Rue du Colonel Pierre Avia - 75015 PARIS, immatriculée au registre du commerce et des sociétés de Paris sous le numéro 444 420 830 
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

  require('includes/application_top.php');

  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();

  $orders_statuses = array();
  $orders_status_array = array();
  $orders_status_query = tep_db_query("select orders_status_id, orders_status_name from " . TABLE_ORDERS_STATUS . " where language_id = '" . (int)$languages_id . "'");
  while ($orders_status = tep_db_fetch_array($orders_status_query)) {
    $orders_statuses[] = array('id' => $orders_status['orders_status_id'],
                               'text' => $orders_status['orders_status_name']);
    $orders_status_array[$orders_status['orders_status_id']] = $orders_status['orders_status_name'];
  }

  $action = (isset($HTTP_GET_VARS['action']) ? $HTTP_GET_VARS['action'] : '');

  if (tep_not_null($action)) {
    switch ($action) {
      case 'export':
        $ordersIDs = array();
        $ordersIDs = explode(',',tep_db_prepare_input($HTTP_GET_VARS['checkbox']));
		if ($ordersIDs[0] == ''){
			$messageStack->add_session(WARNING_ORDER_NOT_CHECKED, 'warning');
			tep_redirect(tep_href_link($PHP_SELF, null));
		}
		// Création du fichier d'interface
		$record = new DPDStation();
		foreach ($ordersIDs as $oID)
		{
			$retourBD = tep_db_query("select configuration_key,configuration_value from " . TABLE_CONFIGURATION . " where `configuration_key` REGEXP 'MODULE_SHIPPING_DPDFRANCE' OR `configuration_key` ='STORE_OWNER_EMAIL_ADDRESS' OR `configuration_key` ='SHIPPING_ORIGIN_COUNTRY' OR `configuration_key` = 'SHIPPING_BOX_WEIGHT'");
			// Récupération de la configuration du module
			while($i=tep_db_fetch_array($retourBD))
				$infoExpe[$i[configuration_key]]=$i[configuration_value];
				
			$totalWeight=$infoExpe['SHIPPING_BOX_WEIGHT'];
			$retourBD = tep_db_query("SELECT p.products_weight,op.products_quantity FROM " . TABLE_ORDERS_PRODUCTS . " op INNER JOIN " . TABLE_PRODUCTS . " p ON op.products_id = p.products_id WHERE op.orders_id =".$oID);
			// Récupère le poids des produits pour calculer le poids total du panier
			while($i=tep_db_fetch_array($retourBD))
				$totalWeight+=$i['products_weight']*$i['products_quantity'];
			
			$query = '';
			if ($infoExpe['MODULE_SHIPPING_DPDFRANCE_PREDICT_STATUS'] == 'True')
				$query .= 'o.shipping_dpdfrpredict_selected,';
			if ($infoExpe['MODULE_SHIPPING_DPDFRANCE_RELAIS_STATUS'] == 'True')
				$query .= 'o.shipping_dpdfrrelais_selected,';
		
			$retourBD = tep_db_query("SELECT o.delivery_country,o.customers_telephone,o.customers_email_address, o.delivery_street_address, ".$query." o.delivery_city, o.delivery_postcode, o.delivery_name, o.currency_value, c.customers_firstname, c.customers_lastname, ot.title from " . TABLE_ORDERS . " o LEFT JOIN " . TABLE_ORDERS_TOTAL . " ot ON (o.orders_id = ot.orders_id) AND (ot.class = 'ot_shipping') LEFT JOIN " . TABLE_CUSTOMERS . " c ON (o.customers_id = c.customers_id) where o.orders_id =".$oID);
			$infoDest = tep_db_fetch_array($retourBD); // Récupère les informations de la commande
			$adresseDest=str_split($infoDest['delivery_street_address'],32);

			if ($infoDest['shipping_dpdfrpredict_selected'] && is_numeric($infoDest['shipping_dpdfrpredict_selected']))
				$gsmDest = $infoDest['shipping_dpdfrpredict_selected'];
			else
				$gsmDest = $infoDest['customers_telephone'];
			
			$retourBD = tep_db_query("select countries_iso_code_2 AS code FROM " . TABLE_COUNTRIES . " WHERE countries_name='".$infoDest['delivery_country']."'");
			// Récupère le code pays de destination
			$result = tep_db_fetch_array($retourBD);
			
			$isops = array("DE", "AD", "AT", "BE", "BA", "BG", "HR", "DK", "ES", "EE", "FI", "FR", "GB", "GR", "GG", "HU", "IM", "IE", "IT", "JE", "LV", "LI", "LT", "LU", "NO", "NL", "PL", "PT", "CZ", "RO", "RS", "SK", "SI", "SE", "CH");
			$isoep = array("D", "AND", "A", "B", "BA", "BG", "CRO", "DK", "E", "EST", "SF", "F", "GB", "GR", "GG", "H", "IM", "IRL", "I", "JE", "LET", "LIE", "LIT", "L", "N", "NL", "PL", "P", "CZ", "RO", "RS", "SK", "SLO", "S", "CH");
			
			if(in_array($result['code'], $isops)) // Si le code ISO est européen, on le convertit au format Station DPD
				$code_iso = str_replace($isops, $isoep, $result['code']);
			else
				$code_iso = str_replace($result['code'], "INT", $result['code']); // Si le code ISO n'est pas européen, on le passe en "INT" (intercontinental)
			
			if (strpos($infoDest['title'], 'DPD Relais') !== false)
			{
				$compte_chargeur = $infoExpe['MODULE_SHIPPING_DPDFRANCE_RELAIS_EXPE_CARGO'];
				$nom_dest = preg_split('/[\s]+/', $infoDest['delivery_name'], 2);
			}
			else if (strpos($infoDest['title'], 'DPD Predict') !== false)
				$compte_chargeur = $infoExpe['MODULE_SHIPPING_DPDFRANCE_PREDICT_EXPE_CARGO'];
			else
				$compte_chargeur = ($code_iso == 'F' ? $infoExpe['MODULE_SHIPPING_DPDFRANCE_CLASSIC_EXPE_CARGO'] : $infoExpe['MODULE_SHIPPING_DPDFRANCE_WORLD_EXPE_CARGO']);
		
			// Structure du fichier d'interface DPD France unifié
			$record->add($oID, 0, 35);																						//	Référence client N°1 - Référence Commande OSC
			$record->add(str_pad(intval($totalWeight*10), 8, '0', STR_PAD_LEFT), 37, 8); 									//	Poids du colis sur 8 caractères
			if(!$infoDest['shipping_dpdfrrelais_selected'])
				$record->add($infoDest['delivery_name'], 60, 70); 															//  Prénom + Nom du destinatire (sauf Relais)
			else{
				$record->add($nom_dest[1], 60, 35);    																		//	Nom de famille du destinataire
				$record->add($nom_dest[0], 95, 35);}   																		//	Prénom du destinataire
			$record->add($adresseDest[1], 130, 35);    																		//	Complément d’adresse 2
			$record->add('', 165, 35);    																					//	Complément d’adresse 3
			$record->add($infoDest['delivery_postcode'], 270, 10);    														//	Code postal
			$record->add($infoDest['delivery_city'], 280, 35);     															//	Ville
			$record->add($adresseDest[0], 325, 35);    																		//	Rue
			$record->add($code_iso, 370, 3);          																		//	Code Pays destinataire
			$record->add($infoDest['customers_telephone'], 373, 30);        												//	Téléphone Destinataire
			$record->add($infoExpe['MODULE_SHIPPING_DPDFRANCE_EXPE_NOM'], 418, 35);        									//	Nom expéditeur
			$record->add($infoExpe['MODULE_SHIPPING_DPDFRANCE_EXPE_AD2'], 453, 35);       									//	Complément d’adresse 1
			$record->add($infoExpe['MODULE_SHIPPING_DPDFRANCE_EXPE_CP'], 628, 10);         									//	Code postal
			$record->add($infoExpe['MODULE_SHIPPING_DPDFRANCE_EXPE_VILLE'], 638, 35);        								//	Ville
			$record->add($infoExpe['MODULE_SHIPPING_DPDFRANCE_EXPE_AD1'], 683, 35);       									//	Rue
			$record->add('F', 728, 3);       																				//	Code Pays
			$record->add($infoExpe['MODULE_SHIPPING_DPDFRANCE_EXPE_TEL'], 731, 30);        									//	Tél. Expéditeur
			$record->add(date("d/m/Y"), 901, 10);  																			//	Date d'expédition théorique
			$record->add(str_pad($compte_chargeur, 8, '0', STR_PAD_LEFT), 911, 8);											//	N° de compte chargeur DPD
			$record->add($oID, 919, 35);     																				//	Code à barres
			$record->add($oID, 954, 35);        																			//	N° de commande - Id Order OSC
			$record->add('', 1018, 9); 																						//  Montant valeur colis
			$record->add($oID, 1035, 35);       																			//	Référence client N°2
			$record->add($infoExpe['STORE_OWNER_EMAIL_ADDRESS'], 1116, 80);        											//	E-mail expéditeur
			$record->add('', 1196, 35);        																				//	GSM expéditeur
			$record->add($infoDest['customers_email_address'], 1231, 80);      												//	E-mail destinataire
			$record->add(DPDStation::formatGSM($gsmDest, $code_iso), 1311, 35);   											//	GSM destinataire
			if($infoDest['shipping_dpdfrrelais_selected'])
				$record->add($infoDest['shipping_dpdfrrelais_selected'], 1442, 8);											//	ID Relais
			if($infoDest['shipping_dpdfrpredict_selected'])
				$record->add("+", 1568, 1);																					//	Flag Predict
			$record->add($nom_dest[1], 1569, 35);    																		//	Nom de famille du destinataire
			$record->add_line();
		}
		$record->display(); 
	break;
		
	case 'tracking':
        $ordersIDs = array();
        $ordersIDs = explode(',',tep_db_prepare_input($HTTP_GET_VARS['checkbox']));
		if ($ordersIDs[0] == ''){
			$messageStack->add_session(WARNING_ORDER_NOT_CHECKED, 'warning');
			tep_redirect(tep_href_link($PHP_SELF, null));
		}
		foreach ($ordersIDs as $oID)
		{
			$retourBD = tep_db_query("select configuration_key,configuration_value from " . TABLE_CONFIGURATION . " where `configuration_key` REGEXP 'MODULE_SHIPPING_DPDFRANCE' OR `configuration_key` ='STORE_OWNER_EMAIL_ADDRESS' OR `configuration_key` ='SHIPPING_ORIGIN_COUNTRY' OR `configuration_key` = 'SHIPPING_BOX_WEIGHT'");
			// Récupération de la configuration du module
			while($i=tep_db_fetch_array($retourBD))
				$infoExpe[$i[configuration_key]]=$i[configuration_value];
			
			$retourBD = tep_db_query("select ot.title from " . TABLE_ORDERS_TOTAL . " ot where ot.class = 'ot_shipping' and ot.orders_id =".$oID);
			$infoDest = tep_db_fetch_array($retourBD); // Récupère les informations de la commande

			if (strpos($infoDest['title'], 'DPD Relais') !== false)
			{
				$order_updated = false;
				$check_status_query = tep_db_query("select customers_name, customers_email_address, orders_status, date_purchased, shipping_dpdfrrelais_tracking from " . TABLE_ORDERS . " where orders_id = '" . (int)$oID . "'");
				$check_status = tep_db_fetch_array($check_status_query);

				if ( ($check_status['shipping_dpdfrrelais_tracking'] == '') || tep_not_null($comments))
				{
					tep_db_query("UPDATE " . TABLE_ORDERS . " SET shipping_dpdfrrelais_tracking = 'http://www.dpd.fr/tracer_".$oID."_".$infoExpe['MODULE_SHIPPING_DPDFRANCE_RELAIS_EXPE_AGENCE'].$infoExpe['MODULE_SHIPPING_DPDFRANCE_RELAIS_EXPE_CARGO']."' WHERE  orders_id = '".$oID."'");
					$link = "http://www.dpd.fr/tracer_".$oID."_".$infoExpe['MODULE_SHIPPING_DPDFRANCE_RELAIS_EXPE_AGENCE'].$infoExpe['MODULE_SHIPPING_DPDFRANCE_RELAIS_EXPE_CARGO']."";
					$comments = 'Cher client, vous pouvez suivre l\'acheminement de votre colis par DPD en cliquant sur le lien ci-contre : '.$link;
					$email = STORE_NAME . "\n" . EMAIL_SEPARATOR . "\n" . EMAIL_TEXT_ORDER_NUMBER . ' ' . $oID . "\n" . EMAIL_TEXT_INVOICE_URL . ' ' . tep_catalog_href_link(FILENAME_CATALOG_ACCOUNT_HISTORY_INFO, 'order_id=' . $oID, 'SSL') . "\n" . EMAIL_TEXT_DATE_ORDERED . ' ' . tep_date_long($check_status['date_purchased']) . "\n\n" . $notify_comments . sprintf(EMAIL_TEXT_STATUS_UPDATE, $orders_status_array[$status]);

					tep_mail($check_status['customers_name'], $check_status['customers_email_address'], EMAIL_TEXT_SUBJECT, $email, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
					$customer_notified = '1';
					$status = '2';
						
					tep_db_query("insert into " . TABLE_ORDERS_STATUS_HISTORY . " (orders_id, orders_status_id, date_added, customer_notified, comments) values ('" . (int)$oID . "', '" . (int)$status . "', now(), '" . tep_db_input($customer_notified) . "', '" . tep_db_input($comments)  . "')");
					tep_db_query("update " . TABLE_ORDERS . " set orders_status = '" . (int)$status . "', last_modified = now() where orders_id = '" . (int)$oID . "'");
					 
					$order_updated = true;
				}
				if ($order_updated == true)
					$messageStack->add_session('# '.(int)$oID.' '.SUCCESS_ORDER_UPDATED, 'success');
				else
					$messageStack->add_session('# '.(int)$oID.' '.WARNING_ORDER_NOT_UPDATED, 'warning');
			}
			else if (strpos($infoDest['title'], 'DPD Predict') !== false)
			{
				$order_updated = false;
				$check_status_query = tep_db_query("select customers_name, customers_email_address, orders_status, date_purchased, shipping_dpdfrpredict_tracking from " . TABLE_ORDERS . " where orders_id = '" . (int)$oID . "'");
				$check_status = tep_db_fetch_array($check_status_query);

				if ( ($check_status['shipping_dpdfrpredict_tracking'] == '') || tep_not_null($comments))
				{
					tep_db_query("UPDATE " . TABLE_ORDERS . " SET shipping_dpdfrpredict_tracking = 'http://www.dpd.fr/tracer_".$oID."_".$infoExpe['MODULE_SHIPPING_DPDFRANCE_PREDICT_EXPE_AGENCE'].$infoExpe['MODULE_SHIPPING_DPDFRANCE_PREDICT_EXPE_CARGO']."' WHERE  orders_id = '".$oID."'");
					$link = "http://www.dpd.fr/tracer_".$oID."_".$infoExpe['MODULE_SHIPPING_DPDFRANCE_PREDICT_EXPE_AGENCE'].$infoExpe['MODULE_SHIPPING_DPDFRANCE_PREDICT_EXPE_CARGO']."";
					$comments = 'Cher client, vous pouvez suivre l\'acheminement de votre colis par DPD en cliquant sur le lien ci-contre : '.$link;
					$email = STORE_NAME . "\n" . EMAIL_SEPARATOR . "\n" . EMAIL_TEXT_ORDER_NUMBER . ' ' . $oID . "\n" . EMAIL_TEXT_INVOICE_URL . ' ' . tep_catalog_href_link(FILENAME_CATALOG_ACCOUNT_HISTORY_INFO, 'order_id=' . $oID, 'SSL') . "\n" . EMAIL_TEXT_DATE_ORDERED . ' ' . tep_date_long($check_status['date_purchased']) . "\n\n" . $notify_comments . sprintf(EMAIL_TEXT_STATUS_UPDATE, $orders_status_array[$status]);

					tep_mail($check_status['customers_name'], $check_status['customers_email_address'], EMAIL_TEXT_SUBJECT, $email, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
					$customer_notified = '1';
					$status = '2';
						
					tep_db_query("insert into " . TABLE_ORDERS_STATUS_HISTORY . " (orders_id, orders_status_id, date_added, customer_notified, comments) values ('" . (int)$oID . "', '" . (int)$status . "', now(), '" . tep_db_input($customer_notified) . "', '" . tep_db_input($comments)  . "')");
					tep_db_query("update " . TABLE_ORDERS . " set orders_status = '" . (int)$status . "', last_modified = now() where orders_id = '" . (int)$oID . "'");
					 
					$order_updated = true;
				}
				if ($order_updated == true)
					$messageStack->add_session('# '.(int)$oID.' '.SUCCESS_ORDER_UPDATED, 'success');
				else
					$messageStack->add_session('# '.(int)$oID.' '.WARNING_ORDER_NOT_UPDATED, 'warning');
			} 
			else if (strpos($infoDest['title'], 'DPD Classic') !== false)
			{
				$order_updated = false;
				$check_status_query = tep_db_query("select customers_name, customers_email_address, orders_status, date_purchased, shipping_dpdfrclassic_tracking from " . TABLE_ORDERS . " where orders_id = '" . (int)$oID . "'");
				$check_status = tep_db_fetch_array($check_status_query);

				if ( ($check_status['shipping_dpdfrclassic_tracking'] == '') || tep_not_null($comments))
				{
					tep_db_query("UPDATE " . TABLE_ORDERS . " SET shipping_dpdfrclassic_tracking = 'http://www.dpd.fr/tracer_".$oID."_".$infoExpe['MODULE_SHIPPING_DPDFRANCE_CLASSIC_EXPE_AGENCE'].$infoExpe['MODULE_SHIPPING_DPDFRANCE_CLASSIC_EXPE_CARGO']."' WHERE  orders_id = '".$oID."'");
					$link = "http://www.dpd.fr/tracer_".$oID."_".$infoExpe['MODULE_SHIPPING_DPDFRANCE_CLASSIC_EXPE_AGENCE'].$infoExpe['MODULE_SHIPPING_DPDFRANCE_CLASSIC_EXPE_CARGO']."";
					$comments = 'Cher client, vous pouvez suivre l\'acheminement de votre colis par DPD en cliquant sur le lien ci-contre : '.$link;
					$email = STORE_NAME . "\n" . EMAIL_SEPARATOR . "\n" . EMAIL_TEXT_ORDER_NUMBER . ' ' . $oID . "\n" . EMAIL_TEXT_INVOICE_URL . ' ' . tep_catalog_href_link(FILENAME_CATALOG_ACCOUNT_HISTORY_INFO, 'order_id=' . $oID, 'SSL') . "\n" . EMAIL_TEXT_DATE_ORDERED . ' ' . tep_date_long($check_status['date_purchased']) . "\n\n" . $notify_comments . sprintf(EMAIL_TEXT_STATUS_UPDATE, $orders_status_array[$status]);

					tep_mail($check_status['customers_name'], $check_status['customers_email_address'], EMAIL_TEXT_SUBJECT, $email, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
					$customer_notified = '1';
					$status = '2';
						
					tep_db_query("insert into " . TABLE_ORDERS_STATUS_HISTORY . " (orders_id, orders_status_id, date_added, customer_notified, comments) values ('" . (int)$oID . "', '" . (int)$status . "', now(), '" . tep_db_input($customer_notified) . "', '" . tep_db_input($comments)  . "')");
					tep_db_query("update " . TABLE_ORDERS . " set orders_status = '" . (int)$status . "', last_modified = now() where orders_id = '" . (int)$oID . "'");
					 
					$order_updated = true;
				}
				if ($order_updated == true)
					$messageStack->add_session('# '.(int)$oID.' '.SUCCESS_ORDER_UPDATED, 'success');
				else
					$messageStack->add_session('# '.(int)$oID.' '.WARNING_ORDER_NOT_UPDATED, 'warning');
			}
			else if (strpos($infoDest['title'], 'DPD Delivery') !== false)
			{
				$order_updated = false;
				$check_status_query = tep_db_query("select customers_name, customers_email_address, orders_status, date_purchased, shipping_dpdfrworld_tracking from " . TABLE_ORDERS . " where orders_id = '" . (int)$oID . "'");
				$check_status = tep_db_fetch_array($check_status_query);

				if ( ($check_status['shipping_dpdfrworld_tracking'] == '') || tep_not_null($comments))
				{
					tep_db_query("UPDATE " . TABLE_ORDERS . " SET shipping_dpdfrworld_tracking = 'http://www.dpd.fr/tracer_".$oID."_".$infoExpe['MODULE_SHIPPING_DPDFRANCE_WORLD_EXPE_AGENCE'].$infoExpe['MODULE_SHIPPING_DPDFRANCE_WORLD_EXPE_CARGO']."' WHERE  orders_id = '".$oID."'");
					$link = "http://www.dpd.fr/tracer_".$oID."_".$infoExpe['MODULE_SHIPPING_DPDFRANCE_WORLD_EXPE_AGENCE'].$infoExpe['MODULE_SHIPPING_DPDFRANCE_WORLD_EXPE_CARGO']."";
					$comments = 'Cher client, vous pouvez suivre l\'acheminement de votre colis par DPD en cliquant sur le lien ci-contre : '.$link;
					$email = STORE_NAME . "\n" . EMAIL_SEPARATOR . "\n" . EMAIL_TEXT_ORDER_NUMBER . ' ' . $oID . "\n" . EMAIL_TEXT_INVOICE_URL . ' ' . tep_catalog_href_link(FILENAME_CATALOG_ACCOUNT_HISTORY_INFO, 'order_id=' . $oID, 'SSL') . "\n" . EMAIL_TEXT_DATE_ORDERED . ' ' . tep_date_long($check_status['date_purchased']) . "\n\n" . $notify_comments . sprintf(EMAIL_TEXT_STATUS_UPDATE, $orders_status_array[$status]);

					tep_mail($check_status['customers_name'], $check_status['customers_email_address'], EMAIL_TEXT_SUBJECT, $email, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
					$customer_notified = '1';
					$status = '2';
						
					tep_db_query("insert into " . TABLE_ORDERS_STATUS_HISTORY . " (orders_id, orders_status_id, date_added, customer_notified, comments) values ('" . (int)$oID . "', '" . (int)$status . "', now(), '" . tep_db_input($customer_notified) . "', '" . tep_db_input($comments)  . "')");
					tep_db_query("update " . TABLE_ORDERS . " set orders_status = '" . (int)$status . "', last_modified = now() where orders_id = '" . (int)$oID . "'");
					 
					$order_updated = true;
				}
				if ($order_updated == true)
					$messageStack->add_session('# '.(int)$oID.' '.SUCCESS_ORDER_UPDATED, 'success');
				else
					$messageStack->add_session('# '.(int)$oID.' '.WARNING_ORDER_NOT_UPDATED, 'warning');
			}
		}
		tep_redirect(tep_href_link($PHP_SELF, null));
	break;
	
	case 'delivered':
        $ordersIDs = array();
        $ordersIDs = explode(',',tep_db_prepare_input($HTTP_GET_VARS['checkbox']));
		if ($ordersIDs[0] == ''){
			$messageStack->add_session(WARNING_ORDER_NOT_CHECKED, 'warning');
			tep_redirect(tep_href_link($PHP_SELF, null));
		}
		foreach ($ordersIDs as $oID)
		{
			$customer_notified = '0';
			$status = '3';
				
			tep_db_query("insert into " . TABLE_ORDERS_STATUS_HISTORY . " (orders_id, orders_status_id, date_added, customer_notified, comments) values ('" . (int)$oID . "', '" . (int)$status . "', now(), '" . tep_db_input($customer_notified) . "', '')");
			tep_db_query("update " . TABLE_ORDERS . " set orders_status = '" . (int)$status . "', last_modified = now() where orders_id = '" . (int)$oID . "'");
			 
			$order_updated = true;

			if ($order_updated == true) {
			 $messageStack->add_session('# '.(int)$oID.' '.SUCCESS_ORDER_UPDATED, 'success');
			} else {
			  $messageStack->add_session('# '.(int)$oID.' '.WARNING_ORDER_NOT_UPDATED, 'warning');
			}
		}
		tep_redirect(tep_href_link($PHP_SELF, null));
	break;
    }
  }

  include(DIR_WS_CLASSES . 'order.php');

  require(DIR_WS_INCLUDES . 'template_top.php');
  
  class DPDStation {

    var $line;
    var $contenu_fichier;

    function __construct() {
        $this->line = str_pad("", 1634);
        $this->contenu_fichier = '';
    }

    function add($txt, $position, $length) {
        $txt = $this->stripAccents($txt);
        $this->line = substr_replace($this->line, str_pad($txt, $length), $position, $length);
    }

    function add_line() {
        if ($this->contenu_fichier != '') {
            $this->contenu_fichier = $this->contenu_fichier . "\r\n" . $this->line;
            $this->line = '';
            $this->line = str_pad("", 1634);
        } else {
            $this->contenu_fichier.=$this->line;
            $this->line = '';
            $this->line = str_pad("", 1634);
        }
        //echo $this->contenu_fichier.'<br /><br />';
    }

    function display() {
        ob_clean();
        header('Content-type: application/dat');
        header('Content-Disposition: attachment; filename="DPDFRANCE_' . date("dmY-His") . '.dat"');
        echo '$VERSION=110' . "\r\n";
        echo $this->contenu_fichier. "\r\n";
        exit;
    }

    function stripAccents($str) {
		$str = preg_replace('/[\x{00C0}\x{00C1}\x{00C2}\x{00C3}\x{00C4}\x{00C5}]/u','A', $str);
		$str = preg_replace('/[\x{0105}\x{0104}\x{00E0}\x{00E1}\x{00E2}\x{00E3}\x{00E4}\x{00E5}]/u','a', $str);
		$str = preg_replace('/[\x{00C7}\x{0106}\x{0108}\x{010A}\x{010C}]/u','C', $str);
		$str = preg_replace('/[\x{00E7}\x{0107}\x{0109}\x{010B}\x{010D}}]/u','c', $str);
		$str = preg_replace('/[\x{010E}\x{0110}]/u','D', $str);
		$str = preg_replace('/[\x{010F}\x{0111}]/u','d', $str);
		$str = preg_replace('/[\x{00C8}\x{00C9}\x{00CA}\x{00CB}\x{0112}\x{0114}\x{0116}\x{0118}\x{011A}]/u','E', $str);
		$str = preg_replace('/[\x{00E8}\x{00E9}\x{00EA}\x{00EB}\x{0113}\x{0115}\x{0117}\x{0119}\x{011B}]/u','e', $str);
		$str = preg_replace('/[\x{00CC}\x{00CD}\x{00CE}\x{00CF}\x{0128}\x{012A}\x{012C}\x{012E}\x{0130}]/u','I', $str);
		$str = preg_replace('/[\x{00EC}\x{00ED}\x{00EE}\x{00EF}\x{0129}\x{012B}\x{012D}\x{012F}\x{0131}]/u','i', $str);
		$str = preg_replace('/[\x{0142}\x{0141}\x{013E}\x{013A}]/u','l', $str);
		$str = preg_replace('/[\x{00F1}\x{0148}]/u','n', $str);
		$str = preg_replace('/[\x{00D2}\x{00D3}\x{00D4}\x{00D5}\x{00D6}\x{00D8}]/u','O', $str);
		$str = preg_replace('/[\x{00F2}\x{00F3}\x{00F4}\x{00F5}\x{00F6}\x{00F8}]/u','o', $str);
		$str = preg_replace('/[\x{0159}\x{0155}]/u','r', $str);
		$str = preg_replace('/[\x{015B}\x{015A}\x{0161}]/u','s', $str);
		$str = preg_replace('/[\x{00DF}]/u','ss', $str);
		$str = preg_replace('/[\x{0165}]/u','t', $str);
		$str = preg_replace('/[\x{00D9}\x{00DA}\x{00DB}\x{00DC}\x{016E}\x{0170}\x{0172}]/u','U', $str);
		$str = preg_replace('/[\x{00F9}\x{00FA}\x{00FB}\x{00FC}\x{016F}\x{0171}\x{0173}]/u','u', $str);
		$str = preg_replace('/[\x{00FD}\x{00FF}]/u','y', $str);
		$str = preg_replace('/[\x{017C}\x{017A}\x{017B}\x{0179}\x{017E}]/u','z', $str);
		$str = preg_replace('/[\x{00C6}]/u','AE', $str);
		$str = preg_replace('/[\x{00E6}]/u','ae', $str);
		$str = preg_replace('/[\x{0152}]/u','OE', $str);
		$str = preg_replace('/[\x{0153}]/u','oe', $str);
		$str = preg_replace('/[\x{0022}\x{0025}\x{0026}\x{0027}\x{00A1}\x{00A2}\x{00A3}\x{00A4}\x{00A5}\x{00A6}\x{00A7}\x{00A8}\x{00AA}\x{00AB}\x{00AC}\x{00AD}\x{00AE}\x{00AF}\x{00B0}\x{00B1}\x{00B2}\x{00B3}\x{00B4}\x{00B5}\x{00B6}\x{00B7}\x{00B8}\x{00BA}\x{00BB}\x{00BC}\x{00BD}\x{00BE}\x{00BF}]/u',' ', $str);
		return $str;
	}

	public static function formatGSM($gsm_dest,$code_iso)
	{
		if ($code_iso == 'F') {
			$gsm_dest = str_replace(array(' ', '.', '-', ',', ';', '/', '\\', '(', ')'),'',$gsm_dest);
			$gsm_dest = str_replace('+33','0',$gsm_dest);
			if (substr($gsm_dest, 0, 2) == 33) // Chrome autofill fix
				$gsm_dest = substr_replace($gsm_dest, '0', 0, 2);
		}
		return $gsm_dest;
	}
}
?>

    <table border="0" width="100%" cellspacing="0" cellpadding="2">
<?php
		echo "	<link rel='stylesheet' type='text/css' href='../ext/modules/shipping/dpdfrance/css/admin/AdminDPDFrance.css'/>
				<script type='text/javascript' src='../ext/modules/shipping/dpdfrance/js/jquery/plugins/marquee/jquery.marquee.min.js'></script>
				<script type='text/javascript'>
				$(document).ready(function(){
					$.expr[':'].contains = $.expr.createPseudo(function(arg) {
						return function( elem ) {
							return $(elem).text().toUpperCase().indexOf(arg.toUpperCase()) >= 0;
						};
					});
					$(\"#tableFilter\").keyup(function () {
						//split the current value of tableFilter
						var data = this.value.split(\";\");
						//create a jquery object of the rows
						var jo = $(\"#fbody\").find(\"tr\");
						if (this.value == \"\") {
							jo.show();
							return;
						}
						//hide all the rows
						jo.hide();

						//Recusively filter the jquery object to get results.
						jo.filter(function (i, v) {
							var t = $(this);
							for (var d = 0; d < data.length; ++d) {
								if (t.is(\":contains('\" + data[d] + \"')\")) {
									return true;
								}
							}
							return false;
						})
						//show the rows that match.
						.show();
					}).focus(function () {
						this.value = \"\";
						$(this).css({
							\"color\": \"#424143\"
						});
						$(this).unbind('focus');
					}).css({
						\"color\": \"#808285\"
					});
						$('.marquee').marquee({
							duration: 20000,
							gap: 50,
							delayBeforeStart: 0,
							direction: 'left',
							duplicated: true,
							pauseOnHover: true
						});
					updatechecked();
				});

				function checkallboxes(ele) {
					var checkboxes = document.getElementsByName('checkbox[]');
					if (ele.checked) {
						for (var i = 0; i < checkboxes.length; i++) {
							if (checkboxes[i].type == 'checkbox') {
								checkboxes[i].checked = true;
							}
						}
					} else {
						for (var i = 0; i < checkboxes.length; i++) {
							if (checkboxes[i].type == 'checkbox') {
								checkboxes[i].checked = false;
							}
						}
					}
					updatechecked();
				}
				url = this.document.URL;
				function updatechecked() {
					checkedboxes = $('.checkbox:checked').map(function(){return this.value;}).get().join();
					if ( (window.location.href.indexOf('?page=') > -1) || (window.location.href.indexOf('?status=') > -1) )
						url = this.document.URL+'&checkbox='+checkedboxes+'&';
					else
						url = this.document.URL+'?checkbox='+checkedboxes+'&';
				}
			</script>";
	$retourBD = tep_db_query("select configuration_key,configuration_value from " . TABLE_CONFIGURATION . " where `configuration_key` REGEXP 'MODULE_SHIPPING_DPDFRANCE' OR `configuration_key` ='STORE_OWNER_EMAIL_ADDRESS' OR `configuration_key` ='SHIPPING_ORIGIN_COUNTRY' OR `configuration_key` = 'SHIPPING_BOX_WEIGHT'");
	// Récupère la configuration du module
	while($i=tep_db_fetch_array($retourBD))
		$infoExpe[$i[configuration_key]]=$i[configuration_value];
		
	if ($infoExpe['MODULE_SHIPPING_DPDFRANCE_PREDICT_STATUS'] == 'True' && ($infoExpe['MODULE_SHIPPING_DPDFRANCE_PREDICT_EXPE_AGENCE'] == '' || $infoExpe['MODULE_SHIPPING_DPDFRANCE_PREDICT_EXPE_CARGO'] == '')){
		echo '<div class="warnmsg">Votre numéro d\'agence et/ou de contrat DPD Predict ne sont pas renseignés dans la configuration du module. Merci de paramétrer le module DPD Predict maintenant.</div>';exit;}
	if ($infoExpe['MODULE_SHIPPING_DPDFRANCE_RELAIS_STATUS'] == 'True' && ($infoExpe['MODULE_SHIPPING_DPDFRANCE_RELAIS_EXPE_AGENCE'] == '' || $infoExpe['MODULE_SHIPPING_DPDFRANCE_RELAIS_EXPE_CARGO'] == '')){
		echo '<div class="warnmsg">Votre numéro d\'agence et/ou de contrat DPD Relais ne sont pas renseignés dans la configuration du module. Merci de paramétrer le module DPD Relais maintenant.</div>';exit;}
	if ($infoExpe['MODULE_SHIPPING_DPDFRANCE_CLASSIC_STATUS'] == 'True' && ($infoExpe['MODULE_SHIPPING_DPDFRANCE_CLASSIC_EXPE_AGENCE'] == '' || $infoExpe['MODULE_SHIPPING_DPDFRANCE_CLASSIC_EXPE_CARGO'] == '')){
		echo '<div class="warnmsg">Votre numéro d\'agence et/ou de contrat DPD Classic ne sont pas renseignés dans la configuration du module. Merci de paramétrer le module DPD Classic maintenant.</div>';exit;}
	if ($infoExpe['MODULE_SHIPPING_DPDFRANCE_WORLD_STATUS'] == 'True' && ($infoExpe['MODULE_SHIPPING_DPDFRANCE_WORLD_EXPE_AGENCE'] == '' || $infoExpe['MODULE_SHIPPING_DPDFRANCE_WORLD_EXPE_CARGO'] == '')){
		echo '<div class="warnmsg">Votre numéro d\'agence et/ou de contrat DPD Intercontinental ne sont pas renseignés dans la configuration du module. Merci de paramétrer le module DPD Intercontinental maintenant.</div>';exit;}
?>		
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><img src="../images/dpdfrance/admin/admin.png" style="height:24px;"/> <?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
            <td align="right"><table border="0" width="100%" cellspacing="0" cellpadding="0">
              <tr><?php echo tep_draw_form('orders', $PHP_SELF.'/../orders.php', '', 'get'); ?>
                <td class="smallText" align="right"><?php echo HEADING_TITLE_SEARCH . ' ' . tep_draw_input_field('oID', '', 'size="12"') . tep_draw_hidden_field('action', 'edit'); ?></td>
              <?php echo tep_hide_session_id(); ?></form></tr>
              <tr><?php echo tep_draw_form('status', $PHP_SELF, '', 'get'); ?>
                <td class="smallText" align="right"><?php echo HEADING_TITLE_STATUS . ' ' . tep_draw_pull_down_menu('status', array_merge(array(array('id' => '', 'text' => TEXT_ALL_ORDERS)), $orders_statuses), '', 'onchange="this.form.submit();"'); ?></td>
              <?php echo tep_hide_session_id(); ?></form></tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
<?php
	// Flux RSS
	$rss = @simplexml_load_string(file_get_contents('http://www.dpd.fr/extensions/rss/flux_info_dpdfr.xml'));
	if (!empty($rss->channel->item))
	{
		echo '<fieldset><legend><a href="javascript:void(0)" onclick="$(&quot;#zonemarquee&quot;).toggle(&quot;fast&quot;, function() {var text = $(&quot;#showhide&quot;).text();$(&quot;#showhide&quot;).text(text == &quot;+&quot; ? &quot;-&quot; : &quot;+&quot;);});"><img src="../images/dpdfrance/admin/rss_icon.png" />'.HEADING_DPDFRANCE_NEWS.'<div id="showhide">-</div></a></legend>'; // Titre et cadre
		echo '<div id="zonemarquee"><div id="marquee" class="marquee">';
		foreach ($rss->channel->item as $item)
			echo '<strong>'.$item->category.' > '.$item->title.' : </strong> '.$item->description.'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
		echo '</div></div></fieldset><br/>';
	}
	// Fin RSS
	// Champ filtre
	echo '<input id="tableFilter" value="'.HEADING_DPDFRANCE_FILTER.'"/><img id="filtericon" src="../images/dpdfrance/admin/search.png"/><br/><br/>';
?>  
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2" >
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><input id="hckeckbox" type="checkbox" onchange="checkallboxes(this)"></td>
                <td class="dataTableHeadingContent" align="left"><?php echo TABLE_HEADING_ORDER_ID; ?></td>
                <td class="dataTableHeadingContent" align="left"><?php echo TABLE_HEADING_DATE_PURCHASED; ?></td>
                <td class="dataTableHeadingContent" align="left"><?php echo TABLE_HEADING_CUSTOMERS; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_SHIPPING_DPDFRANCE_SERVICE; ?></td>
                <td class="dataTableHeadingContent" align="left"><?php echo TABLE_HEADING_ADDRESS; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_STATUS; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_SHIPPING_DPDFRANCE_TRACKING; ?></td>
              </tr><tbody id="fbody">

<?php
	$query = '';
	if ($infoExpe['MODULE_SHIPPING_DPDFRANCE_PREDICT_STATUS'] == 'True')
		$query .= 'o.shipping_dpdfrpredict_tracking, o.shipping_dpdfrpredict_selected,';
	if ($infoExpe['MODULE_SHIPPING_DPDFRANCE_RELAIS_STATUS'] == 'True')
		$query .= 'o.shipping_dpdfrrelais_tracking, o.shipping_dpdfrrelais_selected,';
	if ($infoExpe['MODULE_SHIPPING_DPDFRANCE_CLASSIC_STATUS'] == 'True')
		$query .= 'o.shipping_dpdfrclassic_tracking,';
	if ($infoExpe['MODULE_SHIPPING_DPDFRANCE_WORLD_STATUS'] == 'True')
		$query .= 'o.shipping_dpdfrworld_tracking,';

    if (isset($HTTP_GET_VARS['cID'])) {
      $cID = tep_db_prepare_input($HTTP_GET_VARS['cID']);
      $orders_query_raw = "select ".$query." o.orders_id, o.delivery_name, o.delivery_company, o.delivery_street_address, o.delivery_postcode, o.delivery_city, o.delivery_country, o.customers_id, o.payment_method, o.date_purchased, o.last_modified, o.currency, o.currency_value, s.orders_status_name, ot.title as order_title from " . TABLE_ORDERS . " o left join " . TABLE_ORDERS_TOTAL . " ot on (o.orders_id = ot.orders_id), " . TABLE_ORDERS_STATUS . " s where o.customers_id = '" . (int)$cID . "' and o.orders_status = s.orders_status_id and s.language_id = '" . (int)$languages_id . "' and ot.class = 'ot_shipping' and ot.title LIKE '%DPD%' order by orders_id DESC";
    } elseif (isset($HTTP_GET_VARS['status']) && is_numeric($HTTP_GET_VARS['status']) && ($HTTP_GET_VARS['status'] > 0)) {
      $status = tep_db_prepare_input($HTTP_GET_VARS['status']);
      $orders_query_raw = "select ".$query." o.orders_id, o.delivery_name, o.delivery_company, o.delivery_street_address, o.delivery_postcode, o.delivery_city, o.delivery_country, o.payment_method, o.date_purchased, o.last_modified, o.currency, o.currency_value, s.orders_status_name, ot.title as order_title from " . TABLE_ORDERS . " o left join " . TABLE_ORDERS_TOTAL . " ot on (o.orders_id = ot.orders_id), " . TABLE_ORDERS_STATUS . " s where o.orders_status = s.orders_status_id and s.language_id = '" . (int)$languages_id . "' and s.orders_status_id = '" . (int)$status . "' and ot.class = 'ot_shipping' and ot.title LIKE '%DPD%' order by o.orders_id DESC";
    } else {
      $orders_query_raw = "select ".$query." o.orders_id, o.delivery_name, o.delivery_company, o.delivery_street_address, o.delivery_postcode, o.delivery_city, o.delivery_country, o.payment_method, o.date_purchased, o.last_modified, o.currency, o.currency_value, s.orders_status_name,  ot.title as order_title from " . TABLE_ORDERS . " o left join " . TABLE_ORDERS_TOTAL . " ot on (o.orders_id = ot.orders_id), " . TABLE_ORDERS_STATUS . " s where o.orders_status = s.orders_status_id and s.language_id = '" . (int)$languages_id . "' and ot.class = 'ot_shipping' and ot.title LIKE '%DPD%' order by o.orders_id DESC ";
    }
    $orders_split = new splitPageResults($HTTP_GET_VARS['page'], MAX_DISPLAY_SEARCH_RESULTS, $orders_query_raw, $orders_query_numrows);
    $orders_query = tep_db_query($orders_query_raw);
    while ($orders = tep_db_fetch_array($orders_query)) {
    if ((!isset($HTTP_GET_VARS['oID']) || (isset($HTTP_GET_VARS['oID']) && ($HTTP_GET_VARS['oID'] == $orders['orders_id']))) && !isset($oInfo)) {
        $oInfo = new objectInfo($orders);
      }

	if (strpos($orders['order_title'], 'DPD Relais') !== false){
		$icon = '<span style="font-size:0px;">Relais</span><img src="../images/dpdfrance/admin/service_relais.png" alt="Relais" title="Relais"/>';
		$tracking = (isset($orders['shipping_dpdfrrelais_tracking']) ? '<a target="_blank" href="'.$orders['shipping_dpdfrrelais_tracking'].'"><img src="../images/dpdfrance/admin/tracking.png" alt="Trace"/></a>' : '');
		$address = $address = 'Relais Pickup : '.$orders['shipping_dpdfrrelais_selected'];
	}else if (strpos($orders['order_title'], 'DPD Predict') !== false){
		$icon = '<span style="font-size:0px;">Predict</span><img src="../images/dpdfrance/admin/service_predict.png" alt="Predict" title="Predict"/>';
		$tracking = (isset($orders['shipping_dpdfrpredict_tracking']) ? '<a target="_blank" href="'.$orders['shipping_dpdfrpredict_tracking'].'"><img src="../images/dpdfrance/admin/tracking.png" alt="Trace"/></a>' : '');
		$address = ($orders['delivery_company'] ? $orders['delivery_company'].'<br/>' : '').$orders['delivery_street_address'].'<br/>'.$orders['delivery_postcode'].' '.$orders['delivery_city'].' ('.$orders['delivery_country'].')';
	}else if (strpos($orders['order_title'], 'DPD Classic') !== false){
		$icon = '<span style="font-size:0px;">Classic</span><img src="../images/dpdfrance/admin/service_dom.png" alt="Classic" title="Classic"/>';
		$tracking = (isset($orders['shipping_dpdfrclassic_tracking']) ? '<a target="_blank" href="'.$orders['shipping_dpdfrclassic_tracking'].'"><img src="../images/dpdfrance/admin/tracking.png" alt="Trace"/></a>' : '');
		$address = ($orders['delivery_company'] ? $orders['delivery_company'].'<br/>' : '').$orders['delivery_street_address'].'<br/>'.$orders['delivery_postcode'].' '.$orders['delivery_city'].' ('.$orders['delivery_country'].')';
	}else if (strpos($orders['order_title'], 'DPD Delivery') !== false){
		$icon = '<span style="font-size:0px;">Classic</span><img src="../images/dpdfrance/admin/service_world.png" alt="Intercontinental" title="Intercontinental"/>';
		$tracking = (isset($orders['shipping_dpdfrworld_tracking']) ? '<a target="_blank" href="'.$orders['shipping_dpdfrworld_tracking'].'"><img src="../images/dpdfrance/admin/tracking.png" alt="Trace"/></a>' : '');
		$address = ($orders['delivery_company'] ? $orders['delivery_company'].'<br/>' : '').$orders['delivery_street_address'].'<br/>'.$orders['delivery_postcode'].' '.$orders['delivery_city'].' ('.$orders['delivery_country'].')';
	}
?>
                <td class="dataTableContent"><input class="checkbox" type="checkbox" name="checkbox[]" value="<?php echo $orders['orders_id']; ?>" onclick="updatechecked()"></td>
				<td class="dataTableContent" width="80px" align="left"><?php echo strip_tags($orders['orders_id']); ?></td>
                <td class="dataTableContent" width="140px" align="left"><?php echo tep_datetime_short($orders['date_purchased']); ?></td>
                <td class="dataTableContent" align="left"><?php echo $orders['delivery_name']; ?></td>
                <td class="dataTableContent" align="right"><?php echo $icon; ?></td>
                <td class="dataTableContent" align="left"><?php echo $address; ?></td>
                <td class="dataTableContent" align="right"><?php echo $orders['orders_status_name']; ?></td>
                <td class="dataTableContent" align="right"><?php echo $tracking; ?></td>
              </tr>
<?php
    }
?>
              </tbody><tr>
                <td colspan="5"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $orders_split->display_count($orders_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $HTTP_GET_VARS['page'], TEXT_DISPLAY_NUMBER_OF_ORDERS); ?></td>
                    <td class="smallText" align="right"><?php echo $orders_split->display_links($orders_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $HTTP_GET_VARS['page'], tep_get_all_get_params(array('page', 'oID', 'action'))); ?></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
<?php
  $heading = array();
  $contents = array();

  switch ($action) {
    default:
      if (isset($oInfo) && is_object($oInfo)) {
        $heading[] = array('text' => '<strong>Gestion des commandes DPD</strong>');

 		$contents[] = array('align' => 'center', 'text' => 
		tep_draw_button(TABLE_HEADING_SHIPPING_DPDFRANCE_EXPORT, 'print', 'javascript:void(0)', null, array('params' => 'onclick="javascript:window.location.href=url+\'action=export\'";')) . 
		tep_draw_button(TABLE_HEADING_SHIPPING_DPDFRANCE_ADDTRACKINGS, 'search', 'javascript:void(0)', null, array('params' => 'onclick="javascript:window.location.href=url+\'action=tracking\'";')) . 
		tep_draw_button(TABLE_HEADING_SHIPPING_DPDFRANCE_DELIVERED, 'circle-check', 'javascript:void(0)', null, array('params' => 'onclick="javascript:window.location.href=url+\'action=delivered\'";')));
        $contents[] = array('text' => '<br />' . TEXT_DATE_ORDER_CREATED . ' ' . tep_date_short($oInfo->date_purchased));
        if (tep_not_null($oInfo->last_modified)) $contents[] = array('text' => TEXT_DATE_ORDER_LAST_MODIFIED . ' ' . tep_date_short($oInfo->last_modified));
        $contents[] = array('text' => '<br />' . TEXT_INFO_PAYMENT_METHOD . ' '  . $oInfo->payment_method);
      }
      break;
  }

  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
?>
          </tr>
        </table></td>
      </tr>
    </table>

<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
